%define module cups
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Summary:       Python bindings for the CUPS API
Name:          python-%{module}
Version:       1.9.66
Release:       %mkrel 1
Source0:       http://cyberelk.net/tim/data/pycups/pycups-%{version}.tar.bz2
License:       BSD 
Group:         Development/Python
Url:           http://cyberelk.net/tim/software/pycups/
BuildRequires: pkgconfig(python)
BuildRequires: cups-devel
BuildRequires: epydoc
BuildRequires: pkgconfig(python3)

%description
Python bindings for the CUPS API.

%package doc
Summary:       Documentation for python-cups
Group:         Documentation

%description doc
Documentation for python-cups.

%package -n python3-%{module}
Group:         Development/Python
Summary:       Python 3 bindings for the CUPS API

%description -n python3-%{module}
Python 3 bindings for the CUPS API.

%files
%doc COPYING ChangeLog README NEWS TODO
%{python_sitearch}/cups.so
%{python_sitearch}/pycups*.egg-info
%{_rpmconfigdir}/fileattrs/psdriver.attr
%{_rpmconfigdir}/postscriptdriver.prov

%files doc
%doc examples html

%files -n python3-%{module}
%doc COPYING ChangeLog README NEWS TODO
%{python3_sitearch}/cups.cpython-3*.so
%{python3_sitearch}/pycups*.egg-info
%{_rpmconfigdir}/fileattrs/psdriver.attr
%{_rpmconfigdir}/postscriptdriver.prov

#--------------------------------------------------------------------

%prep
%setup -q -n pycups-%version
cp -a . %{py3dir}

%build
make CFLAGS="%{optflags} -fno-strict-aliasing"
make doc

pushd %{py3dir}
CFLAGS="%{optflags}" %{__python3} setup.py build
popd

%install
make install DESTDIR="%{buildroot}"

pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
chmod 755 %{buildroot}%{python3_sitearch}/cups*.so
popd



%changelog
* Fri Dec 27 2013 philippem <philippem> 1.9.66-1.mga4
+ Revision: 560960
- Update to 1.9.66, add Python 3

* Tue Oct 22 2013 umeabot <umeabot> 1.9.63-3.mga4
+ Revision: 543184
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.9.63-2.mga4
+ Revision: 498333
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Jul 04 2013 philippem <philippem> 1.9.63-1.mga4
+ Revision: 450236
- Update to 1.9.63, add doc

* Sun Jan 13 2013 umeabot <umeabot> 1.9.62-2.mga3
+ Revision: 378623
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 fwang <fwang> 1.9.62-1.mga3
+ Revision: 318015
- update patch
- new version 1.9.62

* Fri May 11 2012 dmorgan <dmorgan> 1.9.61-2.mga2
+ Revision: 235306
- Bump release to push in release

* Thu May 10 2012 dmorgan <dmorgan> 1.9.61-1.mga2
+ Revision: 235083
- New version 1.9.61
  Add P1: Apply upstream patch to fix crash on loading invalid PPDs (rhbz #811159).

* Tue Oct 18 2011 dmorgan <dmorgan> 1.9.60-1.mga2
+ Revision: 156000
- New version 1.9.60

* Sat Jun 11 2011 dmorgan <dmorgan> 1.9.57-1.mga2
+ Revision: 103370
- New version 1.9.57

* Sat Apr 16 2011 ahmad <ahmad> 1.9.55-1.mga1
+ Revision: 86821
- Update to 1.9.55

* Fri Jan 21 2011 dmorgan <dmorgan> 1.9.53-2.mga1
+ Revision: 29630
- imported package python-cups

